<?php
class widgetMenu2 extends cmsWidget {

	public $is_cacheable = false;

    public function run(){

        return array();

    }
	
	
	
public function isMenuLinks($data){
	
if(empty($data)){ return 0; }

$values = is_array($data) ? $data : cmsModel::yamlToArray($data);
$menus_array = isset($values['menu']) ? is_array($values['menu']) ? $values['menu'] : cmsModel::yamlToArray($values['menu']) : '';
if($menus_array){ 
$is_menulinks = 0; 
foreach($menus_array as $key=>$menus){
	
	if(isset($menus['groups']) && cmsUser::getInstance()->isInGroups($menus['groups'])){
		
	foreach($menus['links'] as $key=>$menu){	
	if(!empty($menu['title']) && isset($menu['groups']) && cmsUser::getInstance()->isInGroups($menu['groups'])){		
		$is_menulinks++;
	}
	}
	
	} 
	
} 

}

return $is_menulinks;
}	



public function renderMenuList($tpl_file, $data=array()){


        $tpl_file = cmsTemplate::getInstance()->getTemplateFileName('widgets/menu2/'.$tpl_file);

        extract($data); include($tpl_file);

}	
public function buildMenuFromLinks($menus, $parse_hooks=true, $menu_id, $parent_id, $id) {

        $items = array();
      
        $index = 1;


        // перебираем все вернувшиеся пункты меню
        foreach($menus as $item){
if(isset($item['groups']) && !cmsUser::getInstance()->isInGroups($item['groups'])){ continue; }	
$item['id'] = $index;
$item['parent_id'] = $parent_id;
$item['menu_id'] = $menu_id;			

            $is_root_added = false;

   
            $hook_result = array('items' => false);

            if ($parse_hooks){

                // если URL пункта меню содержит свойство пользователя
                if(strpos($item['url'], '{user.') !== false){
                    $item['url'] = string_replace_user_properties($item['url']);
                } else

                // если URL пункта меню содержит шаблон {controller:action}
                if (preg_match('/^{([a-z0-9]+):*([a-z0-9_]*)}$/i', $item['url'], $matches)){

                    // то вызываем хук menu указанного контроллера
                    $controller = $matches[1];
                    $action = $matches[2];

                    $hook_result = cmsEventsManager::hook("menu_{$controller}", array(
                        'action' => $action,
                        'menu_item_id'  => $item['id'],
                        'menu_item_url' => $item['url']
                    ));

                    // если хук вернул результат
                    if ($hook_result){

                        // получаем новый URL пункта меню
                        $item['url'] = isset($hook_result['url']) ? $hook_result['url'] : '';

                        if (isset($hook_result['counter'])) {
                            $item['counter'] = $hook_result['counter'];
                        }

                        if (isset($hook_result['items']) && is_array($hook_result['items'])) {
                            $item['childs_count'] = sizeof($hook_result['items']);
                        }

                        $is_root_added = true;

                    } else {
                        continue;
                    }

                }

				$is_external = mb_strpos($item['url'], '://') !== false;

                if (!$is_root_added && !$is_external) { $item['url'] = href_to($item['url']); }

            }

            // добавляем обработанную строку в результирующий массив
            $items[$item['id']] = $item;

            // получаем дополнительные пункты меню
            if (isset($hook_result['items']) && is_array($hook_result['items'])) {
                foreach($hook_result['items'] as $i) {
                    $i['menu_id'] = $item['menu_id'];
                    $items[$i['id']] = $i;
                }
            }
			
			
         $index++;
		 
        }

     
        // возвращаем дерево
        return $items;

    }
}
