<?php $this->addJS("templates/default/assets/fields/menu2links/js/script.js"); ?>

<link rel="stylesheet" href="/templates/default/assets/fields/menu2links/css/styles.css">
<link rel="stylesheet" href="/templates/default/assets/fields/menu2links/css/col.css" media="all">
<link rel="stylesheet" href="/templates/default/assets/fields/menu2links/css/2cols.css" media="all">
<link rel="stylesheet" href="/templates/default/assets/fields/menu2links/css/3cols.css" media="all">
<link rel="stylesheet" href="/templates/default/assets/fields/menu2links/css/4cols.css" media="all">
<?php if ($field->title) { ?><label><?php echo $field->title; ?></label><?php } ?>

<?php $name = $field->element_name; ?>
<?php $id = $field->id.'_'.str_replace( array('[',']'), array('_',''), $name); ?>

<?php 
        $users_model = cmsCore::getModel('users');
        $groups_list = array(0 => LANG_ALL);
        $groups = $users_model->getGroups(false);
        foreach($groups as $group){
            $groups_list[$group['id']] = $group['title'];
        }		
?>

<?php $menu_list = isset($value['menu']) ? (is_array($value['menu']) ? $value['menu'] : cmsModel::yamlToArray($value['menu'])) : false; ?>
<div class="hint" style="padding-bottom:3px;">
<a href="javascript:void(0)" style="text-decoration:none" onclick="$('#sections_<?php echo $id; ?>').slideToggle();"><b class="toggle_button">Своё меню &darr;</b></a> 
</div>
<div id="sections_<?php echo $id; ?>" style="display:none">

			
<div class="hint" style="margin-bottom:10px">
Для внутренних ссылок начальный слэш не указывается. Внешние ссылки писать с <b>http://</b><br/>
Можно указывать <a href="http://docs.instantcms.ru/manual/menu/special" target="_blank">специальные ссылки</a>
</div>



<?php $section_index = 1; ?>
<?php if($menu_list){ ?>

<?php foreach($menu_list as $menu){ ?>	

<!----------	Меню	   ------------------->		
		
<div class="section group data_section" data-section="<?php echo $section_index; ?>">	
<h3><?php echo !empty($menu['title']) ? $menu['title'] : 'Своё меню #'.$section_index; ?></h3>
<label style="color:#68809B;margin-left:26px"><input type="checkbox" class="input-checkbox" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][only_links]" <?php echo !empty($menu['only_links']) ? 'checked' : ''; ?> value="1"> Выводить только ссылки</label>
				<div class="section group" style="margin: 0 10px">
				<div class="col span_1_of_2">	
				
<div class="field ft_string">
<label>Заголовок</label>
<input type="text" class="input" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][title]" value="<?php echo !empty($menu['title']) ? $menu['title'] : ''; ?>">
</div>	

                </div>
				<div class="col span_1_of_2">
				
<div class="field ft_string">
<label>Ссылка</label>
<input type="text" class="input" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][url]" value="<?php echo !empty($menu['url']) ? $menu['url'] : ''; ?>">
</div>	

                </div>				
				</div>

<?php 
//выбор группы
if ($groups_list) { ?>
<div class="field ft_string" style="margin:5px 10px 0 10px">
<div class="hint">Показывать группам</div>
<div style="font-size:12px">
<?php echo html_select_multiple($name.'[menu]['.$section_index.'][groups]', $groups_list, !empty($menu['groups']) ? $menu['groups'] : array(0)); ?>
</div>
</div>
<?php }	?>

<!----------	Ссылки	   ------------------->		
<?php $obj_index = 1; ?>

<?php foreach($menu['links'] as $link){ ?>

<!----------	Ссылка меню	   ------------------->		
	
<div class="obj" data-title="<?php echo !empty($link['title']) ? $link['title'] : 'Ссылка #'.$obj_index; ?>" data-obj="<?php echo $obj_index; ?>">
	

	
				<div class="section group">
				<div class="col span_1_of_2">
					

<div class="field ft_string">
<label>Заголовок</label>
<input type="text" class="input" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][links][<?php echo $obj_index; ?>][title]" value="<?php echo !empty($link['title']) ? $link['title'] : ''; ?>">
</div>
<div class="field ft_string">
<label>Ссылка</label>
<input type="text" class="input" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][links][<?php echo $obj_index; ?>][url]" value="<?php echo !empty($link['url']) ? $link['url'] : ''; ?>">
</div>	
					
					
				</div>
				<div class="col span_1_of_2">

<?php 
//выбор группы
if ($groups_list) { ?>
<div class="field ft_string">
<label>Показывать группам</label>
<div style="font-size:12px">
<?php echo html_select_multiple($name.'[menu]['.$section_index.'][links]['.$obj_index.'][groups]', $groups_list, !empty($link['groups']) ? $link['groups'] : array(0)); ?>
</div>
</div>
<?php }	?>				
					
				</div>
<div class="field ft_string">
<div class="hint">Атрибуты ссылки.	Например <b>class:ajax-modal</b></div>
<input type="text" class="input" name="<?php echo $name; ?>[menu][<?php echo $section_index; ?>][links][<?php echo $obj_index; ?>][attr]" value="<?php echo !empty($link['attr']) ? $link['attr'] : ''; ?>">
</div>					
				</div>
				
<?php if($obj_index > 1){ ?>	
<div class="controls_objects" style="text-align:right"><a href="javascript:" class="del_section_obj">Удалить ссылку</a></div>
<?php } ?>	

</div>	







<?php $obj_index++; } ?>

<div id="section<?php echo $section_index; ?>_objects_more"></div>	
<div class="controls_section">
<a href="javascript:" class="add_section_obj" data-section_index="<?php echo $section_index; ?>">Добавить ссылку</a> 
<?php if($section_index > 1){ ?>
<a href="javascript:" class="del_section">Удалить меню</a>
<?php } ?>	
</div>	
	
</div>
<?php $section_index++; } ?>



<?php }else{ ?>

<?php echo $field->renderFieldFile('controllers/menu2/form', array(
           'section_index'=> 1,
		   'obj_index'=> 1,
		   'name'=>$name,
		   'get'=>'section',
		   'groups_list'=>$groups_list
		   )); ?>


<?php } ?>

		

			
<div id="sections_<?php echo $id; ?>_more"></div>		
	
<div class="controls_section">
<a href="javascript:" class="add_section">Добавить меню</a> 
</div>			
			
		
</div>			
		
	

				
<script>



$(document).on('click', '#sections_<?php echo $id; ?> .add_section',function() {	
	
  var last_section = $('[data-section]','#sections_<?php echo $id; ?>').last();	 
  section_newindex = Number(last_section.data('section')) + 1;
        $.post('/menu2/ajax_form', {
			name: '<?php echo $name; ?>',
			section_index: section_newindex,
			obj_index: 1,
			get: 'section'
			
		}, function(result){            
		
        $("#sections_<?php echo $id; ?>_more").append(result);			

        }, "html");
		
   
});
$(document).on('click', '#sections_<?php echo $id; ?> .del_section',function() {	
$(this).closest('[data-section]').remove();
});	 


$(document).on('click', '#sections_<?php echo $id; ?> .add_section_obj',function() {	
	
  var section_index = $(this).data('section_index');	
  var last_obj = $('[data-obj]','#sections_<?php echo $id; ?> [data-section="'+section_index+'"]').last();	 
  obj_newindex = Number(last_obj.data('obj')) + 1;

        $.post('/menu2/ajax_form', {
			name: '<?php echo $name; ?>',
			section_index: section_index,
			obj_index: obj_newindex,
			get: 'obj'
			
		}, function(result){            
		
        $("#sections_<?php echo $id; ?> #section"+section_index+"_objects_more").append(result);			

        }, "html");
		
   
});
$(document).on('click', '#sections_<?php echo $id; ?> .del_section_obj',function() {	
$(this).closest('[data-obj]').remove();
});	 




</script>	
				
				
				