<?php

class formWidgetMenu2Options extends cmsForm {

    public function init($options, $template_name) {
		
        $users_model = cmsCore::getModel('users');
        $groups_list = array(0 => LANG_ALL);
        $groups = $users_model->getGroups(false);
        foreach($groups as $group){
            $groups_list[$group['id']] = $group['title'];
        }		
		
        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

				
				    new fieldListMultiple('options:menu1_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #1</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu1_title', array(
                        'title' => 'Заголовок',
                        'default' => 'Меню'
                    )),	                
 					new fieldString('options:menu1_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),	
                    new fieldColor('options:menu1_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),	 	
					
					new fieldString('options:menu1_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					new fieldList('options:menu1', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu1_links', array('title' => 'или Открывать своё меню:')),							
					
					
					
					new fieldListMultiple('options:menu2_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #2</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu2_title', array(
                        'title' => 'Заголовок'
                    )),	
                  
					new fieldString('options:menu2_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),		
                    new fieldColor('options:menu2_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),	
					
					
					
					
					
					  new fieldString('options:menu2_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					  new fieldList('options:menu2', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu2_links', array('title' => 'или Открывать своё меню:')),				
					
					
					
					new fieldListMultiple('options:menu3_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #3</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu3_title', array(
                        'title' => 'Заголовок'
                    )),					
					new fieldString('options:menu3_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),				
					new fieldColor('options:menu3_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),
					
					new fieldString('options:menu3_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					  new fieldList('options:menu3', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu3_links', array('title' => 'или Открывать своё меню:')),		
					
					
					
					
					
					
					new fieldListMultiple('options:menu4_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #4</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu4_title', array(
                        'title' => 'Заголовок'
                    )),	
					new fieldString('options:menu4_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),	
                    new fieldColor('options:menu4_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),
					
					
					
					new fieldString('options:menu4_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					  new fieldList('options:menu4', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu4_links', array('title' => 'или Открывать своё меню:')),	
					
					
					
					
					new fieldListMultiple('options:menu5_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #5</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu5_title', array(
                        'title' => 'Заголовок'
                    )),	               
					new fieldString('options:menu5_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),	
					new fieldColor('options:menu5_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),			
					
					new fieldString('options:menu5_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					  new fieldList('options:menu5', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu5_links', array('title' => 'или Открывать своё меню:')),	
					
					

        
		
		
					new fieldListMultiple('options:menu6_groups', array(
                        'title' => '<h4 style="margin-top:0;margin-bottom:3px;">Пункт #6</h4><div class="hint">Показывать группам:</div>',
                        'items' => $groups_list
                    )),
				    new fieldString('options:menu6_title', array(
                        'title' => 'Заголовок'
                    )),	  
					new fieldString('options:menu6_ico', array(
                      'title' => '<span class="hint">Класс иконки',		
                      'hint' => 'Пример для <a style="color:#777" href="http://fontawesome.io/icons/">FontAwesome</a>:<br/>fa fa-user</span>',
					)),	
					new fieldColor('options:menu6_color', array(
                        'title' => '<span class="hint">Цвет меню</span>',
                    )),					
					new fieldString('options:menu6_url', array(
                        'title' => '<h5 class="action_title">Действие для пункта</h5>Открывать ссылку:'
                      )),
					  new fieldList('options:menu6', array(
					   'title' => 'или Открывать меню:',
                        'generator' => function($item) {

                            $menu_model = cmsCore::getModel('menu');
                            $tree = $menu_model->getMenus();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['name']] = $item['title'];
                                }
                            }

                             return array(''=>' ') + $items;

                        }
                    )),					
					new fieldMenu2Links('options:menu6_links', array('title' => 'или Открывать своё меню:')),	
					
				

        
		
					
					
                 
                    new fieldNumber('options:max_items', array(
                        'title' => '<br/><br/>Максимальное количество пунктов',
                        'hint' => 'Остальные пункты будут помещены в пункт «Еще...»<br/>0 — бесконечное количество',
                        'default' => 0
                    )),
					
					new fieldList('options:animation', array(
                        'title' => "Анимация навигации по меню",
						    'default' => 0,
							'hint' => '
							<style>
							#options_menu1_links,#options_menu2_links,#options_menu3_links,#options_menu4_links,#options_menu5_links,#options_menu6_links{display:none}
							#f_options_menu1_title,#f_options_menu2_title,#f_options_menu3_title,#f_options_menu4_title,#f_options_menu5_title,#f_options_menu6_title{float:left;width:200px;margin-right:10px;clear:none;}
							#f_options_menu1,#f_options_menu2,#f_options_menu3,#f_options_menu4,#f_options_menu5,#f_options_menu6{float:left;width:270px;clear:none;padding-top:26px}
							
							
							#f_options_menu1_ico,#f_options_menu2_ico,#f_options_menu3_ico,#f_options_menu4_ico,#f_options_menu5_ico,#f_options_menu6_ico{float:left;width:180px;margin-right:10px;clear:none;}
							#f_options_menu1_color,#f_options_menu2_color,#f_options_menu3_color,#f_options_menu4_color,#f_options_menu5_color,#f_options_menu6_color{float:left;width:150px;clear:none;}
							#f_options_menu1_links,#f_options_menu2_links,#f_options_menu3_links,#f_options_menu4_links,#f_options_menu5_links,#f_options_menu6_links{ border-bottom:1px solid #ccc;padding-bottom:15px;margin-bottom:15px}
							
							#f_options_menu1_url,#f_options_menu2_url,#f_options_menu3_url,#f_options_menu4_url,#f_options_menu5_url,#f_options_menu6_url{float:left;width:200px;margin-right:10px;clear:none;}
							h4{ margin-bottom:5px; padding-bottom:0; color:green}
							.action_title{
								 font-size:13px;margin-bottom:5px; padding-bottom:0;display:table;width:100%;margin-top:5px;overflow:hidden;height:16px;line-height:16px;color:green
							}
							</style>',							
                        'items' => array(
						0 => "Вариант 1",
						'2' => "Вариант 2",
						'3' => "Вариант 3",
						'4' => "Вариант 4",
						'5' => "Вариант 5",
							
                    ))),
					
					new fieldList('options:direction', array(
                        'title' => "Отображение пунктов",
						    'default' => 'Вряд',
					   'items' => array(
						'row' => "Вряд",
						'column' => "С новой строки",
							
                    ))),
					//new fieldCheckbox('options:is_detect', array(
                    //     'title' => 'Активный пункт в заголовке',
                    //    'default' => 1
                    //)),


                )
            ),

        );

    }

}
